## Overview
**JPS-AU** is a tool for automating the uploading process on jpopsuki.eu.  

**Features:**
- JPS Client.
- FTP Support
- FLAC Support.

**Installation:**
- Install requirements
```
pip install -r requirements.txt
```

## Command Usage
```
python autoupload.py {command_name} {ID/URL}
```
Command  | Description  | Example
------------- | ------------- | -------------
-dir, --directory | Appoint directory used for torrent creation | `python autoupload.py -dir "Z:\Music\Korean\Ego\Ego - E [2020.01.02] [EP] [WEB-FLAC]"`
-a, --artist | Set the artists. (Romaji\English) | `python autoupload.py -f -dir "Z:\Music\Korean\Ego\Ego - E [2020.01.02] [EP] [WEB-FLAC]" -a "Ego"`
-ti, --title | Set the title. (Romaji\English) | `python autoupload.py -f -dir "Z:\Music\Korean\Ego\Ego - E [2020.01.02] [EP] [WEB-FLAC]"`
-rt, --releasetype | Set the release type. (Album, Single, EP) | `python autoupload.py -f -dir "Z:\Music\Korean\Ego\Ego - E [2020.01.02] [EP] [WEB-FLAC]" -rt "Album"`  
-t, --tags | Add additional tags to upload, separated with comma | `python autoupload.py -t "korean, female.vocalist" -dir "Z:\Music\Korean\Ego\Ego - E [2020.01.02] [EP] [WEB-MP3]"`
-eti, --editiontitle | Set the edition title |
-ey, --editionyear | Set the torrent edition year (YYYY). |
-tdes, --torrentdescription | Add a torrent description. NOT the tracklist description.
-im, --imageURL|Set the torrent cover URL. This is optional as this script can read a cover file from the directory you chose.
-d, --debug | Provides additional information on upload for debugging purposes | `python autoupload.py -d`
-f, --freeleech | Enables freeleech (VIP+ Userclass Requirement) | `python autoupload.py -f -dir "Z:\Music\Korean\Ego\Ego - E [2020.01.02] [EP] [WEB-FLAC]"`
-dry, --dryrun | Carries out all actions other than the upload itself.| `python autoupload.py -dir "Z:\Music\Korean\Ego\Ego - E [2020.01.02] [EP] [WEB-FLAC]" -dry`

## Config.json  

- It's not recommended to use both local watch/download folders and ftp watch/download folders at the same time as it will result in seeding from 2 locations.

**credentials:**

Config  | Description  | Example
------------- | ------------- | -------------
Username | JPopSuki Username | Username
Password  | JPopSuki Password | Password

**local_prefs**  

Config  | Description  | Example
------------- | ------------- | -------------
generate_tracklist | enable tracklist generation  | `true/false`
save_tracklist | write tracklist to .log and save in log folder  | `true/false`
cover_name | name of cover with extension | `cover.jpg`
add_to_watch_folder | moves .torrent file to local watch folder | `true/false`  
add_to_downloads_folder | moves torrent data to local downloads folder | `true/false`  
local_watch_folder | directory of local watch folder | `Z:/watch/Transmission`
local_downloads_folder | directory of local downloads folder | `Z:/downloads`  


**ftp_prefs:**

Config  | Description  | Example
------------- | ------------- | -------------
enable_ftp  | enable ftp mode, if enabled suggested to disable local watch and downloads folders | `true/false`
add_to_watch_folder | transfer .torrent file to watch folder on FTP server | `true/false`
add_to_downloads_folder | transfer torrent data to downloads folder on FTP server | `true/false`
ftp_server | url of ftp server | haze.seedhost.eu
ftp_username | username of ftp account | slyy
ftp_password | password of ftp account | password
ftp_watch_folder | directory of ftp watch folder | `/downloads/watch/transmission`
ftp_downloads_folder | directory of ftp downloads folder | `/downloads`


## Disclaimer
- The usage of this script **may be** illegal in your country. It's your own responsibility to inform yourself of Copyright Law.
